Domanda Problema durante l'installazione di Landscape su 18.04 LTS


Ho cercato su google ma non ho trovato una soluzione al mio problema di installazione di Landscape.

Quando corro: sudo add-apt-repository ppa:landscape/17.03 Ottengo:

muff@landscape:~$ sudo add-apt-repository ppa:landscape/17.03
[sudo] password for muff:

 More info: https://launchpad.net/~landscape/+archive/ubuntu/17.03
Press [ENTER] to continue or Ctrl-c to cancel adding it.

Ign:1 http://ppa.launchpad.net/landscape/16.06/ubuntu bionic InRelease
Hit:2 http://archive.ubuntu.com/ubuntu bionic InRelease
Hit:3 http://security.ubuntu.com/ubuntu bionic-security InRelease
Hit:4 http://archive.ubuntu.com/ubuntu bionic-updates InRelease
Ign:5 http://ppa.launchpad.net/landscape/17.03/ubuntu bionic InRelease
Hit:6 http://archive.ubuntu.com/ubuntu bionic-backports InRelease
Ign:7 http://ppa.launchpad.net/ubuntu-audio-dev/ppa/ubuntu bionic InRelease
Err:8 http://ppa.launchpad.net/landscape/16.06/ubuntu bionic Release
  404  Not Found [IP: 91.189.95.83 80]
Err:9 http://ppa.launchpad.net/landscape/17.03/ubuntu bionic Release
  404  Not Found [IP: 91.189.95.83 80]
Err:10 http://ppa.launchpad.net/ubuntu-audio-dev/ppa/ubuntu bionic Release
  404  Not Found [IP: 91.189.95.83 80]
Reading package lists... Done
E: The repository 'http://ppa.launchpad.net/landscape/16.06/ubuntu bionic Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'http://ppa.launchpad.net/landscape/17.03/ubuntu bionic Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'http://ppa.launchpad.net/ubuntu-audio-dev/ppa/ubuntu bionic Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
muff@landscape:~$

Quando corro: sudo apt-get update Ottengo:

muff@landscape:~$ sudo apt-get update
Ign:1 http://ppa.launchpad.net/landscape/16.06/ubuntu bionic InRelease
Hit:2 http://archive.ubuntu.com/ubuntu bionic InRelease
Hit:3 http://archive.ubuntu.com/ubuntu bionic-updates InRelease
Ign:4 http://ppa.launchpad.net/landscape/17.03/ubuntu bionic InRelease
Hit:5 http://archive.ubuntu.com/ubuntu bionic-backports InRelease
Hit:6 http://security.ubuntu.com/ubuntu bionic-security InRelease
Ign:7 http://ppa.launchpad.net/ubuntu-audio-dev/ppa/ubuntu bionic InRelease
Err:8 http://ppa.launchpad.net/landscape/16.06/ubuntu bionic Release
  404  Not Found [IP: 91.189.95.83 80]
Err:9 http://ppa.launchpad.net/landscape/17.03/ubuntu bionic Release
  404  Not Found [IP: 91.189.95.83 80]
Err:10 http://ppa.launchpad.net/ubuntu-audio-dev/ppa/ubuntu bionic Release
  404  Not Found [IP: 91.189.95.83 80]
Reading package lists... Done
E: The repository 'http://ppa.launchpad.net/landscape/16.06/ubuntu bionic Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'http://ppa.launchpad.net/landscape/17.03/ubuntu bionic Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'http://ppa.launchpad.net/ubuntu-audio-dev/ppa/ubuntu bionic Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
muff@landscape:~$

E quando corro: sudo apt-get install landscape-server-quickstart Ottengo:

muff@landscape:~$ sudo apt-get install landscape-server-quickstart
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package landscape-server-quickstart
muff@landscape:~$

Qualche idea?

Grazie!

P.S Ad esempio ho letto:


1
2018-04-29 14:26


origine


"ppa. ​​... / landscape": l'ultimo SO incluso è Ubuntu 16.02 → ppa.launchpad.net/landscape/16.06/ubuntu/dists - Knud Larsen
Paesaggio server non è ancora disponibile per la 18.04, mentre il client di paesaggio che si interfaccia con il server è. La loro ultima versione di Ubuntu che supportano per il server è la 16.04. Non c'è documentazione su quando sarà supportata la 18.04 per i componenti di Landscape Server. - Thomas Ward♦
Ah! Grazie @ThomasWard, grazie ha lavorato! :) - MrPew
@MrPew Ho aggiunto una "risposta" migliore ora. - Thomas Ward♦
Si prega inoltre di non modificare il titolo per dire "Risolto", piuttosto accettare una risposta o fornire una risposta da soli. (Nota che ho convertito il mio commento in una risposta ora) - Thomas Ward♦


risposte:


AVVISO: questo post è stato scritto a fine aprile 2018. Le informazioni contenute in questa risposta potrebbero non essere più aggiornate; dovrai fare riferimento al Server dedicato al paesaggio pagina di documentazione sulla documentazione di Landscape / Canonical Help per determinare se la versione di destinazione di Ubuntu è supportata per Landscape Dedicated Server.

Al momento in cui questa risposta è stata scritta, la 18.04 non era ancora supportata per la SSL. Anche se questo è cambiato, questa risposta è stata lasciata da sola per scopi storici. (per adesso)

Paesaggio server il software non è ancora disponibile per la 18.04; tuttavia, il paesaggio cliente che interagisce con Landscape Server è disponibile nel 18.04.

I componenti di Landscape Server sono "garantiti" per funzionare con 16.04 e in effetti questo è l'ultimo sistema operativo supportato da Landscape Server.

A partire dal https://help.landscape.canonical.com/?action=show&redirect=LDS (accessibile il 30 aprile 2018), otteniamo questa graziosa tabella di "supporto" con i dettagli dei sistemi operativi supportati:

enter image description here

E come puoi vedere, supportano solo il 16.04 al momento. (Il paesaggio non si adatta immediatamente al "più recente e più grande" subito dopo il rilascio, non lo hanno mai fatto e nemmeno lo fa alle istanze di Canonical Landscape Cloud.)

Attualmente, non esiste una documentazione pubblica che dettaglia la linea temporale di supporto per Landscape. Probabilmente a un certo punto ci sarà il supporto, ma non sono le informazioni che sono state rese pubbliche.


2
2018-04-30 12:46



Accidenti ho appena fatto girare una macchina virtuale 18.04 per eseguirlo. Qualche soluzione alternativa o devo tornare alla 16.04? - AlanObject
@AlanObject Questa risposta è stata scritta in aprile, potrebbe essere o non essere più obsoleta. Dovrai fare riferimento alla documentazione Landscape collegata per determinare se è possibile installare Landscape in 18.04. Sembra che ora sia possibile, ma non è stato verificato da me. (Tuttavia, non sto riscrivendo completamente la risposta, ho aggiunto un avviso che le informazioni nella risposta potrebbero non essere aggiornate e dovresti fare riferimento alla documentazione per la determinazione della compatibilità) - Thomas Ward♦


Da un po 'di tempo c'è il supporto LDS per il 18.04 (vedi https://help.landscape.canonical.com/?action=show&redirect=LDS).

In sostanza per la corsa in premessa:

sudo add-apt-repository -u ppa:landscape/18.03
sudo apt-get install landscape-server-quickstart

Controlla il link sopra per altre opzioni di configurazione.


1
2017-08-14 19:43